Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`ssh`.`connection``

module documentation
(source)

This module contains the implementation of the ssh-connection service, which allows access to the shell and port-forwarding.

Maintainer: Paul Swartz

Class | `SSHConnection` | An implementation of the 'ssh-connection' service. It is used to multiplex multiple channels over the single SSH connection.
Constant | `EXTENDED_DATA_STDERR` | Undocumented
Constant | `MSG_CHANNEL_CLOSE` | Undocumented
Constant | `MSG_CHANNEL_DATA` | Undocumented
Constant | `MSG_CHANNEL_EOF` | Undocumented
Constant | `MSG_CHANNEL_EXTENDED_DATA` | Undocumented
Constant | `MSG_CHANNEL_FAILURE` | Undocumented
Constant | `MSG_CHANNEL_OPEN` | Undocumented
Constant | `MSG_CHANNEL_OPEN_CONFIRMATION` | Undocumented
Constant | `MSG_CHANNEL_OPEN_FAILURE` | Undocumented
Constant | `MSG_CHANNEL_REQUEST` | Undocumented
Constant | `MSG_CHANNEL_SUCCESS` | Undocumented
Constant | `MSG_CHANNEL_WINDOW_ADJUST` | Undocumented
Constant | `MSG_GLOBAL_REQUEST` | Undocumented
Constant | `MSG_REQUEST_FAILURE` | Undocumented
Constant | `MSG_REQUEST_SUCCESS` | Undocumented
Constant | `OPEN_ADMINISTRATIVELY_PROHIBITED` | Undocumented
Constant | `OPEN_CONNECT_FAILED` | Undocumented
Constant | `OPEN_RESOURCE_SHORTAGE` | Undocumented
Constant | `OPEN_UNKNOWN_CHANNEL_TYPE` | Undocumented
Constant | `TRANSLATE_TABLE` | Undocumented
Variable | `alphanums` | Undocumented
Variable | `messages` | Undocumented

EXTENDED_DATA_STDERR: `int` = (source)

Undocumented

Value

    1

MSG_CHANNEL_CLOSE: `int` = (source)

Undocumented

Value

    97

MSG_CHANNEL_DATA: `int` = (source)

Undocumented

Value

    94

MSG_CHANNEL_EOF: `int` = (source)

Undocumented

Value

    96

MSG_CHANNEL_EXTENDED_DATA: `int` = (source)

Undocumented

Value

    95

MSG_CHANNEL_FAILURE: `int` = (source)

Undocumented

Value

    100

MSG_CHANNEL_OPEN: `int` = (source)

Undocumented

Value

    90

MSG_CHANNEL_OPEN_CONFIRMATION: `int` = (source)

Undocumented

Value

    91

MSG_CHANNEL_OPEN_FAILURE: `int` = (source)

Undocumented

Value

    92

MSG_CHANNEL_REQUEST: `int` = (source)

Undocumented

Value

    98

MSG_CHANNEL_SUCCESS: `int` = (source)

Undocumented

Value

    99

MSG_CHANNEL_WINDOW_ADJUST: `int` = (source)

Undocumented

Value

    93

MSG_GLOBAL_REQUEST: `int` = (source)

Undocumented

Value

    80

MSG_REQUEST_FAILURE: `int` = (source)

Undocumented

Value

    82

MSG_REQUEST_SUCCESS: `int` = (source)

Undocumented

Value

    81

OPEN_ADMINISTRATIVELY_PROHIBITED: `int` = (source)

Undocumented

Value

    1

OPEN_CONNECT_FAILED: `int` = (source)

Undocumented

Value

    2

OPEN_RESOURCE_SHORTAGE: `int` = (source)

Undocumented

Value

    4

OPEN_UNKNOWN_CHANNEL_TYPE: `int` = (source)

Undocumented

Value

    3

TRANSLATE_TABLE = (source)

Undocumented

Value

    bytes((i if i in alphanums else ord('_') for i in range(256)))

alphanums = (source)

Undocumented

messages: `dict` = (source)

Undocumented